### Function

# RB Player new

#### Declaration [src]

    RBPlayer*
    rb_player_new (
      gboolean want_crossfade,
      GError** error
    )

#### Description [src]

Creates a new player object.

#### Parameters

`want_crossfade`

  Type: `gboolean`

  If TRUE, try to use a backend that supports crossfading and other track transitions.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `RBPlayer`

New player object.

The caller of the function takes ownership of the data, and is responsible for freeing it.